/// <reference types="@types/node" />
import { HttpContext, IFunctionRequest, HttpStatusCodes } from 'azure-functions-typescript';
import { GraphQLOptions } from 'apollo-server-core';
import * as GraphiQL from 'apollo-server-module-graphiql';
export interface AzureFunctionsGraphQLOptionsFunction {
    (context: HttpContext): GraphQLOptions | Promise<GraphQLOptions>;
}
export interface AzureFunctionsHandler {
    (context: HttpContext, request: IFunctionRequest): void;
}
export interface IHeaders {
    'content-type'?: string;
    'content-length'?: HttpStatusCodes | number;
    'content-disposition'?: string;
    'content-encoding'?: string;
    'content-language'?: string;
    'content-range'?: string;
    'content-location'?: string;
    'content-md5'?: Buffer;
    'expires'?: Date;
    'last-modified'?: Date;
    [header: string]: any;
}
export interface AzureFunctionsGraphiQLOptionsFunction {
    (context: HttpContext, request: IFunctionRequest): GraphiQL.GraphiQLData | Promise<GraphiQL.GraphiQLData>;
}
export declare function graphqlAzureFunctions(options: GraphQLOptions | AzureFunctionsGraphQLOptionsFunction): AzureFunctionsHandler;
export declare function graphiqlAzureFunctions(options: GraphiQL.GraphiQLData | AzureFunctionsGraphiQLOptionsFunction): (httpContext: HttpContext, request: IFunctionRequest) => void;
